Subject: [os2genau_digest] No. 1968
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 16 Jun 2010 00:00:20 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 15 June 2010
 Number  1968
**************************************************

Subjects for today
 
1  Re:  Laser printers : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Laser printers : Mark Dodel<madodel at ptd dot net>

**= Email   1 ==========================**

Date:  Tue, 15 Jun 2010 06:33:37 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Laser printers

Peter Moylan wrote:
> I've just received the latest Officeworks junk mail, and now they're
> advertising a Brother HL-2150N mono laser printer (having both USB and
> ethernet interfaces) for $149. The specifications on the Brother web
> site say "PCL emulation". Should I assume that this doesn't necessarily
> mean Postscript 3 compatible? 

PCL is definitely not Postscript - rather Laserjet protocol.
> I would imagine that if it was Postscript
> 3 compatible then this would be mentioned in the specifications. It does
> claim to be Linux compatible.
>
> Ah, I think I just got my answer. One vendor's web site lists HL-2150N
> with PCL6, and then lists a more expensive model (HL-5340d) with both
> PCL6 and Postscript 3. OK, scrap the 2150N.
>
>   
No reason to scrap a PCL printer, unless you definitely need postscript 
for some reason.

> A more attractive-looking option is a Samsung CLP315 colour laser
> printer. The interface is called SPL-C, which appears to stand for
> something like "Samsung Printer Language", and I'm suspicious because a
> Google search found one place that wrote this as "SPL-C (host-based
> printing)". Wipe Samsung as a supplier, then.
>
> Most of the attractive deals for laser printers appear to be for
> multifunction machines. I imagine, however, that these would be wasted
> in OS/2 - even if printing worked, scanning probably wouldn't.
>
>   
 I am using a HP Officejet 6310 All-in-one (Multifunction network 
attached printer/scanner/fax machine/ memory card reader) under 
eComstation as a printer using HP OJ7110 under Cups.

> I'm rapidly reaching the conclusion that the people doing the heavy
> advertising (Officeworks, Post Office, KMart, Dick Smith, etc.) carry
> only the cheap-and-nasty versions designed for the Windows users, and
> that the right way to proceed is to find a suitable model and then shop
> on-line for a good price. It'll probably mean having to spend a couple
> of hundred dollars extra, but that's true for most electrical goods when
> you want quality rather than junk.
>
> (Last winter I paid double the typical price for an electric blanket.
> Sure, it was expensive, but it was NOT MADE IN CHINA, which means that
> it's likely to keep working even after the warranty runs out. I've
> thrown away too many faulty products to be caught by the made-in-China
> trap again. Of course it's difficult to find retailers who will sell you
> non-Chinese products, but they're available if you search hard enough.)
>
>   

Too true!!

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 14 Jun 2010 13:05:44 -0400
From:  Mark Dodel<madodel at ptd dot net>
Subject:  Re:  Laser printers

> On Sun, 13 Jun 2010 23:10:49 -0400 madodel wrote:
> >
> >
> >PCL6 is laserjet emulation, so it should work with a similar featured 
> >LaserJet driver.  Postscript 3, for me anyway, is the best, since you can 
> >use a printer specific PPD file to add that model to the OS/2 Postscript 
> >driver so it should support most if not all of the printers features.  At 
> >least that is the case with my Brother MFC-9840CDW printer.
> >
> 
> That sounds like good news, Mark.
> 
> I understand that PPD files are text and can be extracted from elsewherre
> (like a Windoze system) but is the process of "adding that model to the
> OS/2 Postscipt driver" trivial or difficult for a home user?
>  

As Chuck said there is a command line utility in the IBM postscript package called pin.exe which allows you to add a ppd file.  There are some step by step instructions for this at http://www.os2voice dot org/VNL/past_issues/VNL0605H/vnewsft.htm#G

Also Alex Taylor has a utility as part of eCS 2.0 which has a gui for doing this.  That is also available on the eCS betazone for people woth a current software subscriprion. Finally Paul Smedley's port of the CUPS driver may already include that model.  

Mark 
--
Mark Dodel<madodel at ptd dot net> 
sent by ibisMail on my Apple iPad!
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===